Introduction

LAN Monitor v1.0 - The LAN card bandwidth usage monitor utility
(c) 1995-2010 Tong Software Inc. All rights reserved.

The LAN card bandwidth usage monitor utility. Comes with a nice
GUI and bandwidth graph monitor. Customizable trayicon activity.
Auto synchronize your computer clock with the NTP server.
Always set topmost every second. No other software can take over.
Tiny one standalone execute file. Auto hide Monitor when offline.
LAN Monitor supports windows NT/2000/2003/XP.

- Nice Clear GUI. Setting can adjust by right click.
- Easy to understand information.
- LanMon.exe can be run alone without another file.
- Show current connection information.
- Show last connection information.
- Show total connection information.
- Show last 240 seconds activity graph in main window.
- Show last 100 seconds activity graph in monitor window.
- Show upload, download speed and duration time in monitor window.
- Customizable trayicon activity.
- Minimize to tray.
- Start minimized.
- Load on startup.
- Save log data to text file.
- Auto synchronize your computer clock with the NTP server.
- Auto hide monitor window when offline.
- Alpha transparent monitor window.
- Close to minimize.
- Always set topmost every second. No other software can take over.

Note:

- I am test only on win2000 with one LAN card and small font.
- Handle up to 8 IPs but display only 2 DNS, 1 client IP.
- Total data sent and received can display up to 2^63 bytes.
- Update statistic every 1 second.


History

2004-AUG-05 1.0.0.04
- Remove all balloon hints.
- Remove application title text while online and offline.
- Remove copy client ip to clipboard.
- Fix getadapterinfo error.
- Change date/time to new format.
- Change trayicon hint while online and offline.
- Add trayicon activity and customizable.
- Add auto synchronize the computer clock.
- Add copy network info to clipboard.
- Add help file.
2004-JUL-27 1.0.0.03
- Fix client IP 0.0.0.0 bug.
- Fix MinGraph and MaxGraph bug.
- Fix large font form scale.
- Change the status box.
- Add support data up to 2^63.
- Add comma separate to all values.
- Add monitor window support sent and receive data up to 999999.

2004-JUN-26 1.0.0.02
- Fix range check error. Handle up to 8 IPs.

2004-JUN-25 1.0.0.01
- Initial version. Cloned from RAS Monitor.


Main Window

Display all connections information including graph and status log. There are 3 parts which are current connection, last connection and total connection.

You can see datetime when you online by place mouse over the duration data.

You can see datetime of last connection by place mouse over the last duration data.

You can see network info by place mouse over the connection name.
To copy network info to clipboard, just double click it.

You can activate the popup menu by right-click.

You can reset total connection data by double click the reset button.
Work only when offline.


Monitor Window

Show the graph, data transfer and duration time. Upload is red color on the left-hand. Download is green color on the right-hand. Duration time is yellow color on the middle top. To hide the monitor window, just double click.

You can drag the monitor window by hold down the left-click and move the window.

You can activate the popup menu by right-click.


TrayIcon

Display the status of the connection. Double left-click trayicon to show the main window . You can see the client IP address by place mouse over the trayicon.

When you offline or network cable unplugged, the client IP address will become 0.0.0.0

You can activate the popup menu by right-click.


Popup Menu

You can activate the popup menu by right-click on main window , monitor window and trayicon .

Show Window
Show the main window.

Always On Top
Force the main window always on top of the other windows. Set the main window into topmost flag.

Minimize to Tray
When you minimize the main window, it will remove application button from taskbar.

Start Minimized
Run the program as minimized state.

Load on Startup
Set the program to run on windows restart.

Save Log
Write the connection data into the log file in the same folder.

Synchrozine Time
Automatic adjust your computer clock with the NTP server.
You can change setting in the registry. ( see configuration )

Show Monitor
Show the monitor window.

Hide Monitor when Offline
Hide the monitor window when network cable unplugged or offline.

Transparent Monitor
Set the monitor window as transparent mode. Valid on NT/2000/2003/XP only. You can change setting in the registry. ( see configuration )

Copy Network Info
Copy network information to clipboard.

About LAN Monitor
Show the about window.

Exit
Exit the program.


About

If you have any comment, Please contact me asap.
I am willing to improve my software as good as it get.
One more important thing, This is a nonag freeware
but you can support me by donate a little bucks.
Just wrap the cash with paper and send letter to me
418/5 Ekamai Wattana Bangkok 10110 Thailand.

dr_tong(a)fastmail.fm
http://www.google.com/search?q=tong+software+inc

To hide the about window, just double click.


Log

When you enable Save Log, the program will write the connection data into log file.


Configuration

You have to edit the values in registry .

HKEY_CURRENT_USER\Software\Tong Software\LAN Monitor\Option

MaxGraph
The maximum value of the graph. It is maximun data transfer for plot into the graph. The unit is bytes per sec. If your LAN card connected at 100 Mbits/sec, you can set the value to 10000000 bytes/sec ( assume 10 bits = 1 byte ). When you set too high value, you can not see the graph during small data transfer.
The default value is 25600 bytes per sec which is good for ADSL 256K/128K.

MinGraph
The minimum value of the graph. It is minimum data transfer for plot into the graph. The unit is bytes per sec. When you set too high value, you can not see the graph during small data transfer.
The default value is 0 bytes per sec.

MonAlpha
The alpha transparent level of the Monitor windows. Valid on NT/2000/2003/XP only. 0 is completely transparent. 255 is normal.
The default value is 120.

SynchronizeTimeServer
The time server for synchronization your computer clock. You can see more info at http://www.ntp.org/ or search about NTP server.
The default value is clock.psu.edu.

SynchronizeTimeInterval
The interval for synchronization your computer clock.
The default value is 7200 second.


Customize TrayIcon

You can customize trayicon activity by copy or edit your own icons to the same folder with lanmon.exe then run LAN Monitor again. All icons are 16x16 pixels and 16 colors. Use the filename below:

lanmon0.ico - Offline or network cable unplugged.
lanmon1.ico - Online or network cable plugged.
lanmon2.ico - Downloading or receiving data.
lanmon3.ico - Uploading or sending data.
lanmon4.ico - Both downloading and uploading data.

Filename keep the same as .exe plus the number.


How to edit Registry ?

1. Click the Start button and then choose menu Run.

2. Type regedit.exe and then press the Ok button.

3. The Registry Editor window will display. Double click on the left-hand menu to expand tree. Then goto:

HKEY_CURRENT_USER\Software\Tong Software\LAN Monitor\Option

4. You can edit any keys on the right-hand plane by double click them.